Bug 485529 - Unused network interfaces show up with '0' as ip/netmask/broadcast
Unused network interfaces show up with '0' as ip/netmask/broadcast
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jeff Browning
: Triaged
: 486177 (view as bug list)
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-02-13 17:50 EST by Justin Sherrill
Modified: 2009-09-10 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-02-13 17:50:00 EST
Register a system to satellite with more than 1 network interface and have one of the interfaces be disabled. 

Go to system details for that system -> hardware

The network interface will show '0' as Ip address, netmask, and broadcast. 

This isn't major, but it seems like it should just be blank. We are currently inserting '0' into the DB for inactive interfaces, but if we just insert an empty string instead it'll show up blank which is more desirable. 

This was related to (came up in) bug 483796
Comment 1 Brandon Perkins 2009-02-18 23:18:15 EST
*** Bug 486177 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Browning 2009-04-21 15:20:20 EDT
Verified
Comment 4 Milan Zazrivec 2009-08-26 05:25:49 EDT
Verified in stage -> RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 16:32:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.